LibreOffice: XParameterizedContentProvider Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XParameterizedContentProvider Interface Referencepublished

Register specially adjusted instances of content providers on URL templates and supplementary arguments. More...

`import "XParameterizedContentProvider.idl";`

Inheritance diagram for XParameterizedContentProvider:

## Public Member Functions
com::sun::star::ucb::XContentProvider | registerInstance ([in] string Template, [in] string Arguments, [in] boolean ReplaceExisting) raises (com::sun::star::lang::IllegalArgumentException)
| Register a content provider on a URL template and supplementary arguments.
com::sun::star::ucb::XContentProvider | deregisterInstance ([in] string Template, [in] string Arguments) raises (com::sun::star::lang::IllegalArgumentException)
| Deregisters a content provider.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Register specially adjusted instances of content providers on URL templates and supplementary arguments.

Version
  1.0

## Member Function Documentation

## ◆ deregisterInstance()

com::sun::star::ucb::XContentProvider deregisterInstance | ( | [in] string | Template,
|  | [in] string | Arguments )
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

Deregisters a content provider.

Parameters

  Template | A URL template. If the input is malformed or too complex, an IllegalArgumentException may be raised.
  Arguments | Any supplementary arguments required by this XContentProvider, represented as a single string. If the input is malformed, an com::sun::star::lang::IllegalArgumentException may be raised.

Returns
  Either this XContentProvider, or another, specially adjusted version of this XContentProvider (this flexibility allows for different implementation strategies), or null if no instance is registered for the given Template. Note that the returned XContentProvider must still be deregistered at the content provider manager!

## ◆ registerInstance()

com::sun::star::ucb::XContentProvider registerInstance | ( | [in] string | Template,
|  | [in] string | Arguments,
|  | [in] boolean | ReplaceExisting )
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

Register a content provider on a URL template and supplementary arguments.

Parameters

  Template | A URL template. If the input is malformed or too complex, a com::sun::star::lang::IllegalArgumentException may be raised.
  Arguments | Any supplementary arguments required by this XContentProvider, represented as a single string. If the input is malformed, an com::sun::star::lang::IllegalArgumentException may be raised.
  ReplaceExisting | If true, and if the given Template conflicts with an already registered instance, the old registration is replaced by the new one. If false, and if the given Template conflicts with an already registered instance, the new registration is not performed, and null is returned.

Returns
  Either this XContentProvider, or another, specially adjusted version of this XContentProvider (this flexibility allows for different implementation strategies), or null if the given Template conflicts with an already registered instance and ReplaceExisting is false. Note that the returned XContentProvider must still be registered at the content provider manager!

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XParameterizedContentProvider.idl